org.apache.catalina.ha.deploy

## Class UndeployMessage

- java.lang.Object
- - org.apache.catalina.ha.deploy.UndeployMessage

All Implemented Interfaces:
  Serializable, ClusterMessage

    public class UndeployMessage
    extends Object
    implements ClusterMessage

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UndeployMessage()`
`UndeployMessage(Member address, long timestamp, String uniqueId, String contextName, boolean undeploy)`

### Method Summary

Methods
`Member` `getAddress()`
`int` `getCompress()`
`String` `getContextName()`
`int` `getResend()`
`long` `getTimestamp()`
`boolean` `getUndeploy()`
`String` `getUniqueId()`
`void` `setAddress(Member address)`
`void` `setCompress(int compress)`
`void` `setContextPath(String contextName)`
`void` `setResend(int resend)`
`void` `setTimestamp(long timestamp)`
`void` `setUndeploy(boolean undeploy)`
`void` `setUniqueId(String uniqueId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UndeployMessage

    public UndeployMessage()

#### UndeployMessage

    public UndeployMessage(Member address,
                   long timestamp,
                   String uniqueId,
                   String contextName,
                   boolean undeploy)

### Method Detail

#### getAddress

    public Member getAddress()

Specified by:
  `getAddress` in interface `ClusterMessage`

#### setAddress

    public void setAddress(Member address)

Specified by:
  `setAddress` in interface `ClusterMessage`

#### getTimestamp

    public long getTimestamp()

Specified by:
  `getTimestamp` in interface `ClusterMessage`

#### setTimestamp

    public void setTimestamp(long timestamp)

Specified by:
  `setTimestamp` in interface `ClusterMessage`

#### getUniqueId

    public String getUniqueId()

Specified by:
  `getUniqueId` in interface `ClusterMessage`

#### setUniqueId

    public void setUniqueId(String uniqueId)

Specified by:
  `setUniqueId` in interface `ClusterMessage`

#### getContextName

    public String getContextName()

#### setContextPath

    public void setContextPath(String contextName)

#### getUndeploy

    public boolean getUndeploy()

#### setUndeploy

    public void setUndeploy(boolean undeploy)

#### getCompress

    public int getCompress()

Returns:
  Returns the compress.
Since:
  5.5.10

#### setCompress

    public void setCompress(int compress)

Parameters:
  `compress` - The compress to set.
Since:
  5.5.10

#### getResend

    public int getResend()

Returns:
  Returns the resend.
Since:
  5.5.10

#### setResend

    public void setResend(int resend)

Parameters:
  `resend` - The resend to set.
Since:
  5.5.10